# -*- coding: utf-8 -*-

from django.conf.urls import patterns, include, url

urlpatterns = patterns('formwizard.views',


    url(r'^(?P<slug>[-\w]+)/tool/$', 'actividad_wizard', name="crear_actividad_wizard"),
    url(r'^(?P<slug>[-\w]+)/tool/(?P<id>\d+)/$','actividad_wizard' , name="editar_actividad_wizard"),
    url(r'^(?P<slug>[-\w]+)/tool/(?P<id>\d+)/del/$','borrar_actividad_wizard' , name="borrar_actividad_wizard"),
    url(r'^(?P<slug>[-\w]+)/tool/(?P<id>\d+)/hide$','oculta_actividad' , name="ocultar_actividad_wizard"),

    ## Actividad
    ### Pregunta
    url(r'^(?P<slug>[-\w]+)/tool/(?P<id>\d+)/pregunta/add/$','actividad_pregunta_wizard' , name="crear_pregunta_actividad_wizard"),
    url(r'^(?P<slug>[-\w]+)/tool/(?P<id>\d+)/pregunta/(?P<pregunta>\d+)/edit$','actividad_pregunta_wizard' , name="editar_pregunta_actividad_wizard"),
    url(r'^(?P<slug>[-\w]+)/tool/(?P<id>\d+)/pregunta/(?P<pregunta>\d+)/del$','actividad_borrar_pregunta_wizard' , name="borrar_pregunta_actividad_wizard"),
    url(r'^(?P<slug>[-\w]+)/tool/(?P<id>\d+)/pregunta/(?P<pregunta>\d+)/view$','actividad_ver_pregunta_wizard' , name="ver_pregunta_actividad_wizard"),
    

    #### Eleccion
    ### Actividad Pregunta Eleccion
    url(r'^(?P<slug>[-\w]+)/tool/(?P<id>\d+)/pregunta/(?P<pregunta>\d+)/add$','actividad_pregunta_aniadir_eleccion_wizard' , name="aniadir_eleccion_pregunta_actividad_wizard"),
    url(r'^(?P<slug>[-\w]+)/tool/(?P<id>\d+)/pregunta/(?P<pregunta>\d+)/edit/(?P<eleccion>\d+)$','actividad_pregunta_eleccion_wizard' , name="editar_eleccion_pregunta_actividad_wizard"),
    url(r'^(?P<slug>[-\w]+)/tool/(?P<id>\d+)/pregunta/(?P<pregunta>\d+)/val/(?P<eleccion>\d+)$','selecciona_eleccion_actividad' , name="selecciona_eleccion_pregunta_actividad_wizard"),


    ## Cuestionario
    ## Cuestionario
    url(r'^(?P<slug>[-\w]+)/tool/(?P<id>\d+)/cuestionario/add/$','cuestionario_wizard' , name="crear_cuestionario_wizard"),
   	url(r'^(?P<slug>[-\w]+)/tool/(?P<id>\d+)/(?P<cuestionario>[-\w]+)/edit/$','cuestionario_wizard' , name="editar_cuestionario_wizard"),
    url(r'^(?P<slug>[-\w]+)/tool/(?P<id>\d+)/(?P<cuestionario>[-\w]+)/del/$','borrar_cuestionario_wizard' , name="borrar_cuestionario_wizard"),

    ### Cuestionario Pregunta
    url(r'^(?P<slug>[-\w]+)/tool/(?P<id>\d+)/cuestionario/(?P<cuestionario>[-\w]+)/pregunta/$','cuestionario_pregunta_wizard' , name="crear_pregunta_cuestionario_wizard"),
    url(r'^(?P<slug>[-\w]+)/tool/(?P<id>\d+)/cuestionario/(?P<cuestionario>[-\w]+)/pregunta/(?P<pregunta>\d+)/edit/$','cuestionario_pregunta_wizard' , name="editar_pregunta_cuestionario_wizard"),
    url(r'^(?P<slug>[-\w]+)/tool/(?P<id>\d+)/cuestionario/(?P<cuestionario>[-\w]+)/pregunta/(?P<pregunta>\d+)/del/$','cuestionario_borrar_pregunta_wizard' , name="borrar_pregunta_cuestionario_wizard"),
    url(r'^(?P<slug>[-\w]+)/tool/(?P<id>\d+)/cuestionario/(?P<cuestionario>[-\w]+)/pregunta/(?P<pregunta>\d+)/view/$','cuestionario_ver_pregunta_wizard' , name="ver_pregunta_cuestionario_wizard"),

    ### Cuestionario Pregunta Eleccion
    url(r'^(?P<slug>[-\w]+)/tool/(?P<id>\d+)/cuestionario/(?P<cuestionario>[-\w]+)/(?P<pregunta>\d+)/add$','cuestionario_pregunta_aniadir_eleccion_wizard' , name="aniadir_eleccion_pregunta_cuestionario_wizard"),
    #url(r'^(?P<slug>[-\w]+)/tool/(?P<id>\d+)/cuestionario/(?P<cuestionario>[-\w]+)/(?P<pregunta>\d+)/edit/(?P<eleccion>\d+)$','cuestionario_pregunta_eleccion_wizard' , name="editar_eleccion_pregunta_cuestionario_wizard"),
    url(r'^(?P<slug>[-\w]+)/tool/(?P<id>\d+)/cuestionario/(?P<cuestionario>[-\w]+)/(?P<pregunta>\d+)/val/(?P<eleccion>\d+)$','selecciona_eleccion_cuestionario' , name="selecciona_eleccion_pregunta_cuestionario_wizard"),

    ## Modo de repartir
    url(r'^(?P<slug>[-\w]+)/tool/(?P<id>\d+)/distribute/$','repartir_actividad_wizard' , name="repartir_actividad_wizard"),

    ## Publicar
    url(r'^(?P<slug>[-\w]+)/tool/(?P<id>\d+)/publish/$','publicar_actividad_wizard' , name="publicar_actividad_wizard"),

    ## Repartir las evaluaciones
    url(r'^(?P<slug>[-\w]+)/tool/(?P<id>\d+)/repartir/$','reparte_tareas_para_correccion' , name="reparte_tareas_para_correccion"),
    url(r'^(?P<slug>[-\w]+)/tool/repartir/$','reparte_evaluaciones' , name="reparte_evaluaciones"),

)

